from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String, File, Int

Ambpdb_V0_1_0 = CommandToolBuilder(tool="ambpdb", base_command=["ambpdb"], inputs=[ToolInput(tag="in_topology_file_default", input_type=Boolean(optional=True), prefix="-p", doc=InputDocumentation(doc="'Top'       Topology file (default: prmtop).")), ToolInput(tag="in__coordinate_file", input_type=Boolean(optional=True), prefix="-c", doc=InputDocumentation(doc="'Coords'    Coordinate file.")), ToolInput(tag="in_pqr", input_type=Boolean(optional=True), prefix="-pqr", doc=InputDocumentation(doc="PQR (MEAD) format with charges and radii.")), ToolInput(tag="in_mol_two", input_type=Boolean(optional=True), prefix="-mol2", doc=InputDocumentation(doc="TRIPOS MOL2 format.")), ToolInput(tag="in_print_version_information", input_type=Boolean(optional=True), prefix="-v", doc=InputDocumentation(doc="Print version information.")), ToolInput(tag="in_tit", input_type=String(optional=True), prefix="-tit", doc=InputDocumentation(doc="Write a REMARK record containing TITLE.\n(default: use prmtop title)")), ToolInput(tag="in_a_atm", input_type=Boolean(optional=True), prefix="-aatm", doc=InputDocumentation(doc="Left-justified Amber atom names.")), ToolInput(tag="in_sy_by_l", input_type=Boolean(optional=True), prefix="-sybyl", doc=InputDocumentation(doc="(MOL2 format only) Convert Amber atom types to SYBYL.")), ToolInput(tag="in_ac", input_type=File(optional=True), prefix="-ac", doc=InputDocumentation(doc="(Implies '-sybyl') Atom type corresponding file (optional).")), ToolInput(tag="in_bc", input_type=File(optional=True), prefix="-bc", doc=InputDocumentation(doc="(Implies '-sybyl') Bond type corresponding file (optional).")), ToolInput(tag="in_conect", input_type=Boolean(optional=True), prefix="-conect", doc=InputDocumentation(doc="Write CONECT records for all bonds.")), ToolInput(tag="in_ep", input_type=Boolean(optional=True), prefix="-ep", doc=InputDocumentation(doc="Include extra points if present.")), ToolInput(tag="in_bres", input_type=Boolean(optional=True), prefix="-bres", doc=InputDocumentation(doc="Brookhaven Residue names (HIE->HIS, etc.).")), ToolInput(tag="in_ctr", input_type=Boolean(optional=True), prefix="-ctr", doc=InputDocumentation(doc="Center molecule on (0,0,0).")), ToolInput(tag="in_noter", input_type=Boolean(optional=True), prefix="-noter", doc=InputDocumentation(doc="Do not write TER records.")), ToolInput(tag="in_ext", input_type=Boolean(optional=True), prefix="-ext", doc=InputDocumentation(doc="Use PRMTOP extended PDB info, if present.")), ToolInput(tag="in_no_box", input_type=Boolean(optional=True), prefix="-nobox", doc=InputDocumentation(doc="Do not write CRYST1 record if box coordinates present.")), ToolInput(tag="in_offset", input_type=Int(optional=True), prefix="-offset", doc=InputDocumentation(doc="Add offset to residue numbers."))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Ambpdb_V0_1_0().translate("wdl", allow_empty_container=True)

